import "./tasks/vcf2maf.wdl" as vcf2maf

workflow {{ project_name }} {
  
  File vcf
  String sample_id
  String tumor_id
  String normal_id
  File ref_dir
  String fasta
  String vep_path
  File cache
  String ncbi_build
  String species
  Boolean only_pass
  String vep_docker
  String cluster_config
  String disk_size

  call vcf2maf.vcf2maf as vcf2maf {
    input: 
    vcf=vcf,
    sample_id=sample_id,
    tumor_id=tumor_id,
    normal_id=normal_id,
    ref_dir=ref_dir,
    fasta=fasta,
    vep_path=vep_path,
    cache=cache,
    ncbi_build=ncbi_build,
    species=species,
    only_pass=only_pass,
    docker=vep_docker,
    cluster_config=cluster_config,
    disk_size=disk_size
  }
}